// Copyright 2000 Crytek Studios. All rights reserved.
// This version is for inhouse tests-only. Dont spread it!


echo "execing default.cmd"

// map
set mapname "demo_lahoran07"

// select renderer
set renderModule render

// for renderGF only
//set gl_buffersize 2048
//set gl_bufferlocation	agp
//set gl_numbuffers 16

set gl_allow_software 0
set gl_dither 1

// video system cvars
set v_fullscreen 1
set v_colorBits 32

set v_width 800
set v_height 600
set v_gamma 1.0

// render cvars
set r_texture_compression 0
set r_filter 2
set r_picmip 0
set r_texturebits 32
set r_swapInterval 0
set r_subdiv 6
//set r_vertexLight 1
set r_clear 0
set r_quality 1
set r_maxlevel 8
set r_lodCurveError 30

// HERE EDIT TO SEE IN WIREFRAME, SET r_grid 1 to see wireframe and 0 to see it full shaded and textured.
set r_grid 0

// input cvars
set i_useDirectInput 1
set i_captureMouse 0


// sound cvars
set cs_output 2			// 0 - Auto; 1 - DirectSound; 2 - Windows Multimedia; 3 - Aureal 3D; 4 - No Sound
set cs_driver 0			// 0 - Default driver; 1 - Primary driver;
set cs_minchannels 32		// min channels requested for hardware
set cs_maxchannels 256		// max channels used
set cs_distancefactor 50	// how many units per meter (high value decrease sound attenuation distance factor)
set cs_music_volume 0		// 0 - 255 In game music volume (for quake3 maps only)
set cs_cachesize 8		// max memory allocated for sound (2 is the minimum)

// game cvars
set g_music	base/music/Jorg'Han.mp3		// mp3 file
set g_times 1					// 1 - show rendering stats
set g_dev 0						// 1 - disable sound intro, disclaimer text and dummy hud
set g_step 19					// stair stepping heigh
set g_steptime 300
set g_ducktime 200
set g_bobpitch 0.002
set g_bobroll 0.002
set g_bobup 0.005
set g_jumpspeed 300
set g_speedscale 100
set g_air_gravity 1000
set g_water_gravity 250